Buf(1)

NAME
buf-registry-sdk-info - Get SDK information for the given module, plugin, and optionally version.

SYNOPSIS
buf registry sdk info --module= --plugin= [flags]

DESCRIPTION
This command returns the version information for a Generated SDK based on the specified information. In order to resolve the SDK information, a module and plugin must be specified.

Examples:

To get the SDK information for the latest commit of a module and latest version of a plugin, you only need to specify the module and plugin. The following will resolve the SDK information for the latest commit of the connectrpc/eliza module and the latest version of the bufbuild/es plugin:
    $ buf registry sdk info --module=buf.build/connectrpc/eliza --plugin=buf.build/connectrpc/es
    Module
    Owner:  connectrpc
    Name:   eliza
    Commit: <latest commit on default label>
    Plugin
    Owner:    bufbuild
    Name:     es
    Version:  <latest version of plugin>
    Revision: <latest revision of the plugin version>
    Version: <SDK version for the resolved module commit and plugin version>

To get the SDK information for a specific commit of a module and/or a specific version of a plugin, you can specify the commit with the module and/or the version with the plugin. The following will resolve the SDK information for the specified commit of the connectrpc/eliza module and specified version of the bufbuild/es plugin:
    $ buf registry sdk info --module=buf.build/connectrpc/eliza:d8fbf2620c604277a0ece1ff3a26f2ff --plugin=buf.build/bufbuild/es:v1.2.1
    Module
    Owner:  connectrpc
    Name:   eliza
    Commit: d8fbf2620c604277a0ece1ff3a26f2ff
    Plugin
    Owner:    bufbuild
    Name:     es
    Version:  v1.2.1
    Revision: 1
    Version: 1.2.1-20230727062025-d8fbf2620c60.1

If you have a SDK version and want to know the corresponding module commit and plugin version information for the SDK, you can specify the module and plugin with the version string. The following will resolve the SDK information for the specified SDK version of the connectrpc/eliza module and bufbuild/es plugin.
    $ buf registry sdk --module=buf.build/connectrpc/eliza --plugin=buf.build/bufbuild/es --version=1.2.1-20230727062025-d8fbf2620c60.1
    Module
    Owner:  connectrpc
    Name:   eliza
    Commit: d8fbf2620c604277a0ece1ff3a26f2ff
    Plugin
    Owner:    bufbuild
    Name:     es
    Version:  v1.2.1
    Revision: 1
    Version: 1.2.1-20230727062025-d8fbf2620c60.1

The module commit and plugin version information are resolved based on the specified SDK version string.

If a module reference and/or plugin version are specified along with the SDK version, then the SDK version will be validated against the specified module reference and/or plugin version. If there is a mismatch, this command will error.
    $ buf registry sdk info  \
        --module=buf.build/connectrpc/eliza:8b8b971d6fde4dc8ba5d96f9fda7d53c   \
        --plugin=buf.build/bufbuild/es  \
        --version=1.2.1-20230727062025-d8fbf2620c60.1
    Failure: invalid_argument: invalid SDK version v1.2.1-20230727062025-d8fbf2620c60.1 with module short commit d8fbf2620c60 for resolved module reference connectrpc/eliza:8b8b971d6fde4dc8ba5d96f9fda7d53c

In this case, the SDK version provided resolves to a different commit than the commit provided for the module.

OPTIONS
--format="text"
    The output format to use. Must be one of [text,json]

-h, --help[=false]
    help for info

--module=""
    The module reference for the SDK.

--plugin=""
    The plugin reference for the SDK.

--version=""
    The version of the SDK.

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=2m0s
    The duration until timing out, setting it to zero means no timeout

SEE ALSO
buf-registry-sdk(1)

HISTORY
2025-10-20 Auto generated by spf13/cobra